pairs2 {copula} | R Documentation

## Scatter-Plot Matrix ('pairs') for Copula Distributions with Nice Defaults

### Description

A version of graphics' package `pairs()`, particularly useful for visualizing dependence in multivariate (copula) data.

### Usage

    pairs2(x, labels = NULL, labels.null.lab = "U", ...)

### Arguments

`x` | a numeric `matrix` or an R object for which `as.matrix(x)` returns such a matrix.
`labels` | the variable names, typically unspecified.
`labels.null.lab` | the `character` string determining the “base name” of the variable labels in case `labels` is `NULL` and `x` does not have all column names given.
`...` | further arguments, passed to `pairs()`.

### Value

`invisible()`

### See Also

`splom2()` for a similar function based on `splom()`.

### Examples

    ## Create a 100 x 7 matrix of random variates from a t distribution
    ## with four degrees of freedom and plot the generated data
    U <- matrix(rt(700, df = 4), ncol = 7)
    pairs2(U, pch = ".")

[Package copula version 0.999-15 Index]